using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using FDK;

namespace StrokeStyleT
{
	class CAct背景 : CActivity
	{
		protected override void Onデバイスリソースの作成()
		{
			lock( this )
			{
				// 背景画像テクスチャの作成。

				Global.tデバイスをロックして処理を行う( ( hDevice ) => {

					this.tx背景画像 = new CTexture( hDevice, Path.Combine( Global.Folders.stgシステムフォルダパス, @"Images\Background.jpg" ) );

				} );
			}
		}
		protected override void Onデバイスリソースの解放()
		{
			lock( this )
			{
				if( null != this.tx背景画像 )
				{
					this.tx背景画像.Dispose();
					this.tx背景画像 = null;
				}

				base.Onデバイスリソースの解放();
			}
		}
		protected override void On描画( IntPtr hDevice )
		{
			lock( this )
			{
				if( this.tx背景画像 != null )
					this.tx背景画像.t2D描画( hDevice, 0, 0 );
			}
		}

		private CTexture tx背景画像 = null;
	}
}
